<?php

declare(strict_types=1);

namespace App\Controller\TblSegmento;

use App\Service\TblSegmentoService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblSegmentoService(): TblSegmentoService
    {
        return $this->container->get('TblSegmento_service');
    }
}
